Bug 202739 - system-config-cluster update:poorly Formed XML Error
Summary: system-config-cluster update:poorly Formed XML Error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-cluster   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-16 06:20 UTC by Falk Hackenberger
Modified: 2009-04-16 22:32 UTC (History)
2 users (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 21:13:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the cluster conf which produces the error message (10.26 KB, application/octet-stream)
2006-08-16 06:20 UTC, Falk Hackenberger
no flags Details

Description Falk Hackenberger 2006-08-16 06:20:25 UTC
Created attachment 134278 [details]
the cluster conf which produces the error message

Comment 1 Falk Hackenberger 2006-08-16 06:20:25 UTC
# rpm -qi system-config-cluster
Name        : system-config-cluster        Relocations: (not relocatable)
Version     : 1.0.27                            Vendor: Red Hat, Inc.
Release     : 1.0                           Build Date: Mo 05 Jun 2006 18:10:07 CEST
Install Date: Di 15 Aug 2006 18:51:37 CEST      Build Host:
hs20-bc1-4.build.redhat.com
Group       : Applications/System           Source RPM:
system-config-cluster-1.0.27-1.0.src.rpm
Size        : 881473                           License: GPL
Signature   : DSA/SHA1, Di 08 Aug 2006 21:36:58 CEST, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/
Summary     : system-config-cluster is a utility which allows you to manage
cluster configuration in a graphical setting.
Description :
system-config-cluster is a utility which allows you to manage cluster
configuuration in a graphical setting.

after update system-config-cluster to this version it generates error message:
/etc/cluster/cluster.conf:20: element cman: Relax-NG validity error : Invalid
attribute log_facility for element cman
/etc/cluster/cluster.conf:20: element cman: Relax-NG validity error : Expecting
element gulm, got cman
/etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error : Invalid
sequence in interleave
/etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error : Element
cluster failed to validate content
/etc/cluster/cluster.conf:8: element device: validity error : IDREF attribute
name references an unknown ID "fence.mediatransfer.de"
/etc/cluster/cluster.conf:15: element device: validity error : IDREF attribute
name references an unknown ID "fence.mediatransfer.de"
/etc/cluster/cluster.conf fails to validate 

I think the lines (2,8,15,20) are ok.
let me know, wath you think

Comment 2 Kiersten (Kerri) Anderson 2006-10-03 16:47:54 UTC
Devel ACK for RHEL5

Comment 3 RHEL Product and Program Management 2006-10-03 17:12:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.

Comment 4 Jay Turner 2006-10-10 19:59:09 UTC
QE ack for RHEL5.

Comment 5 Jim Parsons 2006-10-16 06:55:20 UTC
The schema checker was not allowing log facility and log level for cman and rm
tags.  It does now.

Comment 6 Jim Parsons 2006-10-16 14:02:51 UTC
It was also missing the 'path' attr from nfsclient. All better now.

Comment 8 Nate Straz 2007-12-13 17:29:27 UTC
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.


Note You need to log in before you can comment on or make changes to this bug.